%define oname recordMyDesktop
%define qtoname qt-%{oname}

Summary:	Qt4 frontend for recordmydesktop
Name:		qt-recordmydesktop
Version:	0.3.8
Release:	%mkrel 17
License:	GPLv2+
Group:		Video/Utilities
URL:		http://recordmydesktop.sourceforge.net
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-mga-i18n-desktop.patch
Patch1:		%{name}-%{version}-mga-i18n.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	python-qt4
BuildRequires:	qt4-devel >= 4:4.2
BuildRequires:	python-devel
Requires:	recordmydesktop >= %{version}
Requires:	python-qt4-gui
Requires:	python-sip

%description
Qt4 frontend for recordmydesktop tool.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

desktop-file-install \
	--add-category='Video;Qt' \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,scalable}/apps
convert src/%{name}.png -scale 16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert src/%{name}.png -scale 32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert src/%{name}.png -scale 48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 644 src/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 644 src/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{qtoname}

%files -f %{qtoname}.lang
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{python2_sitelib}/qt_%{oname}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.*g
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Mon Jun 27 2016 akien <akien> 0.3.8-17.mga6
+ Revision: 1037819
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.3.8-16.mga6
+ Revision: 1037519
- Rebuild for python-sip 4.18

* Sat Feb 20 2016 umeabot <umeabot> 0.3.8-15.mga6
+ Revision: 971987
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.3.8-14.mga6
+ Revision: 893977
- make it noarch thus fixing empty debuginfo
- fix python macro to fix build

* Wed Jan 07 2015 alexl <alexl> 0.3.8-13.mga5
+ Revision: 808935
- update desktop file
- show in all DE

* Sun Nov 16 2014 alexl <alexl> 0.3.8-12.mga5
+ Revision: 797510
- update translations (German is from upstream, Russian is for upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.8-11.mga5
+ Revision: 740206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.8-10.mga5
+ Revision: 688526
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 alexl <alexl> 0.3.8-9.mga5
+ Revision: 671455
- translated desktop file (i18n-desktop.patch)

* Sun Jul 06 2014 pterjan <pterjan> 0.3.8-8.mga5
+ Revision: 648385
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.3.8-7.mga4
+ Revision: 517876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.8-6.mga3
+ Revision: 379928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.3.8-5.mga3
+ Revision: 326289
- update RPM group

  + mikala <mikala>
    - Remove clean & %%defattr()

* Sat Mar 05 2011 ahmad <ahmad> 0.3.8-3.mga1
+ Revision: 65125
- imported package qt-recordmydesktop

